libnet-ssleay-perl (1.92-2build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 12:33:22 +0100

libnet-ssleay-perl (1.92-2) unstable; urgency=medium

  [ Simon Chopin ]
  * New patch: Loosen the OpenSSL version checks on autopkgtests.
    The test suite checks that the OPENSSL_version_*() calls match the
    compile-time constants, which is reasonable in a unit test that is run in
    the same time frame as the compilation, as is usually the case. However,
    this check doesn't make as much sense in the autopkgtest context, where
    the src:openssl package might have been updated for a bugfix release, for
    instance.
    (Closes: #1010795, LP: #1972795)

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 May 2022 00:18:05 +0200

libnet-ssleay-perl (1.92-1) unstable; urgency=medium

  * Import upstream version 1.92.
  * Upload to unstable.
  * Refresh 20no-stray-libz-link.patch (offset).
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 13 Jan 2022 19:47:44 +0100

libnet-ssleay-perl (1.91.01-1) experimental; urgency=medium

  * Import upstream development release 1.91_01.
    Adds OpenSSL3 support (LP: #1945811)
  * Update build dependencies.
  * Refresh 20no-stray-libz-link.patch (offset).
  * Upload to experimental.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Nov 2021 18:08:00 +0100

libnet-ssleay-perl (1.90-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Replace '--with perl_openssl' in debian/rules with a build dependency
    on 'dh-sequence-perl-openssl'.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libnet-ssleay-perl: Add Multi-Arch: same.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.90.
  * Update debian/upstream/metadata.
  * Update years of packaging copyright.
  * Update upstream copyright holders and contact.

  [ Simon Chopin ]
  * Refresh d/p/20no-stray-libz-link.patch
  * Drop openssl-1.1.1e.patch, merged upstream

  [ gregor herrmann ]
  * Install upstream CONTRIBUTING document.
  * Declare compliance with Debian Policy 4.6.0.
  * Add debian/tests/pkg-perl/smoke-files.
    New helper modules for the tests are in inc/.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Nov 2021 17:38:08 +0100

libnet-ssleay-perl (1.88-3) unstable; urgency=medium

  * Add patch from upstream pull request for OpenSSL 1.1.1e compatibility.
    (Closes: #954401)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Mar 2020 20:27:30 +0100

libnet-ssleay-perl (1.88-2) unstable; urgency=medium

  * Update Build-Depends for cross builds.
    Thanks to Helmut Grohne for the bug report. (Closes: #944952)
  * Declare compliance with Debian Policy 4.4.1.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Nov 2019 21:01:52 +0100

libnet-ssleay-perl (1.88-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.88.
  * Declare compatibility with Debian Policy 4.4.0.
  * Drop OpenSSL 1.1.1 patches: support was added upstream.
  * Update 20no-stray-libz-link.patch.
  * d/copyright: drop paragraph about upstream files that are not here anymore.

 -- intrigeri <intrigeri@debian.org>  Fri, 19 Jul 2019 01:59:57 +0000

libnet-ssleay-perl (1.85-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate test Build-Depends with <!nocheck>. (Closes: #930601)

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Jul 2019 20:39:06 +0200

libnet-ssleay-perl (1.85-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * patchwork to get Net::SSLeay to compile and pass its test suite with
    OpenSSL 1.1.1 (Closes: #895959)
    + add five patches from fedora
    + patch openssl version check about SSL_CTX_set_num_tickets existence
    + fix default minimum protocol version in the absence of
      /etc/crypto-policies/back-ends/opensslcnf.config
    + add SSL[_CTX]_(set|get)_security_level routines
    + tests: set security level to 1 when loading certificates with small keys
    + patch set_cert_and_key to not return error when none of the underlying
      routines does
  * update debian/copyright
  * bump debhelper compatibility version to 11
  * declare conformance with Policy 4.2.1 (no changes needed)

  [ gregor herrmann ]
  * Update debian/upstream/metadata

 -- Damyan Ivanov <dmn@debian.org>  Sun, 02 Sep 2018 20:19:51 +0000

libnet-ssleay-perl (1.85-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Damyan Ivanov ]
  * New upstream version 1.85

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Mar 2018 09:48:59 +0000

libnet-ssleay-perl (1.84-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 10.
  * debian/control: drop "Suggests: libmime-base64-perl".
    This is only a virtual package, provided by src:perl since at least
    oldoldstable.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Jan 2018 18:18:35 +0100

libnet-ssleay-perl (1.82-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * New upstream version 1.82
  * declare conformance with Policy 4.1.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 01 Jan 2018 07:03:57 +0000

libnet-ssleay-perl (1.80-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.80

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 10 Jan 2017 06:35:36 +0100

libnet-ssleay-perl (1.78-2) unstable; urgency=medium

  * Team upload.
  * Dynamically generate a dependency on perl-openssl-abi-x.x
    to ensure compatibility with other OpenSSL-related Perl modules.
    (See #848113)

 -- Niko Tyni <ntyni@debian.org>  Mon, 02 Jan 2017 21:37:01 +0200

libnet-ssleay-perl (1.78-1) unstable; urgency=medium

  * New upstream release:
    - Fixed broken OCSP code and tests. Broken since 1.75.
  * Refresh patches (offset).
  * Update years of packaging copyright.
  * Enable autopkgtest smoke tests.
  * Add more fixes to 0001-fix-typo-in-manpage.patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Oct 2016 00:02:09 +0100

libnet-ssleay-perl (1.77-1) unstable; urgency=medium

  * New upstream release
  * Drop OpenSSL 1.1 patch included in release
  * Upload to unstable
  * Team upload

 -- Dominic Hargreaves <dom@earth.li>  Mon, 08 Aug 2016 23:35:54 +0100

libnet-ssleay-perl (1.74-1+svn472) experimental; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Dominic Hargreaves ]
  * OpenSSL 1.1 patch from upstream SVN (Closes: #828401)
  * Remove Franck Joncourt from Uploaders (Closes: #831307)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 28 Jul 2016 11:01:20 +0100

libnet-ssleay-perl (1.74-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Lucas Kanashiro ]
  * Import upstream version 1.74
  * Declare compliance with Debian policy 3.9.8
  * debian/rules: export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
  * Create patch fixing typo in manpage

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Sat, 23 Apr 2016 01:26:30 -0300

libnet-ssleay-perl (1.72-1) unstable; urgency=medium

  * Team upload.
  * Add debian/upstream/metadata
  * Import upstream version 1.72

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Wed, 30 Sep 2015 17:04:18 -0300

libnet-ssleay-perl (1.70-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.69 and 1.70
    - Removes a test in t/local/33_x509_create_cert.t which fails due to
      changes in OpenSSL 1.0.1n and later. Fixes "FTBFS: Test failure"
      (Closes: #789344)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 27 Jun 2015 06:36:07 +0200

libnet-ssleay-perl (1.68-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
    Fixes "FTBFS: Your vendor has not defined SSLeay macro
    LIBRESSL_VERSION_NUMBER"
    (Closes: #785158)
  * Update upstream licensing terms.
  * Update years of packaging copyright.
  * Refresh 20no-stray-libz-link.patch (offset).
  * Declare compliance with Debian Policy 3.9.6.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Tue, 12 May 2015 23:42:37 +0200

libnet-ssleay-perl (1.65-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.65

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 16 Jul 2014 20:35:36 +0200

libnet-ssleay-perl (1.64-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.64
    + Fixes "FTBFS: t/local/33_x509_create_cert.t test fails" by disabling the
      specific failing test. (Closes: #751209)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Jun 2014 08:25:31 +0200

libnet-ssleay-perl (1.63-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 May 2014 14:45:19 +0200

libnet-ssleay-perl (1.61-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 May 2014 21:49:28 +0200

libnet-ssleay-perl (1.60-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches spelling.patch and error-format-security.patch.
    Both merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 13:14:29 +0200

libnet-ssleay-perl (1.59-2) unstable; urgency=medium

  * Add patch to fix build failure on most architectures.
    Adds format argument to croak() call, otherwise the build fails with
    -Werror=format-security.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 May 2014 20:54:30 +0200

libnet-ssleay-perl (1.59-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Refresh 20no-stray-libz-link.patch (offset).
  * Add a patch to fix a spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 May 2014 13:44:22 +0200

libnet-ssleay-perl (1.58-1) unstable; urgency=medium

  * New upstream release.
  * Pod coverage tests are release tests now.
    Drop build dependency on libtest-pod-coverage-perl in debian/control and
    override_dh_auto_clean in debian/rules.
  * debian/watch: drop unused uversionmangle.

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Jan 2014 21:32:37 +0100

libnet-ssleay-perl (1.57-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.57

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Jan 2014 07:52:13 +0100

libnet-ssleay-perl (1.56-1) unstable; urgency=medium

  * New upstream release.
  * Drop spelling.patch, merged upstream.
  * Update years of packaging copyright.
  * Temporarily skip failing pod-coverage test.
    Already fixed in soon-to-be-released next upstream release.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Jan 2014 21:29:43 +0100

libnet-ssleay-perl (1.55-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Refresh patch (offset).
  * debian/copyright: update upstream email address and packaging years.
  * Set Standards-Version to 3.9.4 (no further changes).
  * Use debhelper 9.20120312 to get all hardening flags.
  * Add a spelling patch.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Jul 2013 19:29:22 +0200

libnet-ssleay-perl (1.48-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 1.48
  * Remove override target for dh_installexamples.
    Upstream now has #!/usr/bin/perl in the examples files.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 25 Apr 2012 21:00:36 +0200

libnet-ssleay-perl (1.47-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.46
  * Update copyright years for included Module::Install
  * Don't install TODO anymore to docs.
    TODO file was removed upstream.
  * Refresh 20no-stray-libz-link.patch patch (offset)
  * Drop no_kwalitee_test.patch patch.
    Upstream now skips the Test::Kwalitee tests if the module is not
    installed.
  * Drop Fixed-crashing-when-run-under-apache2.patch.
    The patch is included in the new upstream version 1.46.

  [ Alessandro Ghedini ]
  * New upstream release
  * Drop 10fix_pod.patch and fix_spelling.patch (merged upstream)
  * Refresh 20no-stray-libz-link.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 12 Apr 2012 21:17:27 +0200

libnet-ssleay-perl (1.45-2) unstable; urgency=low

  * Team upload.

  [ Alessandro Ghedini ]
  * Email change: Alessandro Ghedini -> ghedo@debian.org

  [ Salvatore Bonaccorso ]
  * Add Fixed-crashing-when-run-under-apache2.patch patch.
    If Net::SSLeay is running under ModPerl the own thread locking is not
    needed as perl threads are not supported under mod-perl. Falls back to
    thread locking build in to mod-ssl.
    Patch is cherry-picked from upstream svn commit. (Closes: #661566)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Mar 2012 10:14:45 +0200

libnet-ssleay-perl (1.45-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release
  * Drop missing_test_file.patch (no more needed)
  * Add myself to Uploaders
  * Replace Net::SSLeay.pm with Net::SSLeay in long description

  [ Salvatore Bonaccorso ]
  * Refresh fix_spelling.patch for offsets

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 25 Feb 2012 15:29:30 +0100

libnet-ssleay-perl (1.43-1) unstable; urgency=low

  * Team upload

  [ Alessandro Ghedini ]
  * New upstream release
  * Bump debhelper compat level to 9
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Update 10fix_pod.patch
  * Add copyright section for ppport.h
  * Add missing_test_file.patch
  * Add fix_spelling.patch (fixes spelling-error-in-manpage)
  * Update 20no-stray-libz-link.patch

  [ gregor herrmann ]
  * Add build dependency on libtest-pod-coverage-perl (new test).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 24 Feb 2012 11:10:51 +0100

libnet-ssleay-perl (1.42-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Oct 2011 18:15:16 +0200

libnet-ssleay-perl (1.41-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Sep 2011 19:56:48 +0200

libnet-ssleay-perl (1.40-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: lower years of copyright for inc/Module/*.
  * Refresh 10fix_pod.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Sep 2011 17:38:00 +0200

libnet-ssleay-perl (1.38-1) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * New upstream release.
    - Added X509_get_fingerprint. (Closes: #414941)
  * Drop patch no_sslv2.patch: applied upstream.
  * debian/copyright: Update years of copyright for inc/Module/*.
  * debian/control: Convert Vcs-* fields to Git.
  * debian/rules: Use find -exec instead of find | xargs.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Sep 2011 10:26:00 +0200

libnet-ssleay-perl (1.36-3) unstable; urgency=low

  * Remove build dependency on libtest-kwalitee-perl to break a nasty
    dependency loop, thanks to Thorsten Glaser for the bug report
    (closes: #627865). Add a patch to disable the kwalitee tests.
  * Set Standards-Version to 3.9.2 (no changes).
  * debian/copyright: update info about debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 May 2011 17:26:51 +0200

libnet-ssleay-perl (1.36-2) unstable; urgency=low

  [ Chris Butler ]
  * Added patch no_sslv2; prevents the module trying to use SSLv2 functions if
    OpenSSL has been compiled without SSLv2 support (closes: #612780)

  [ gregor herrmann ]
  * Refresh remaining patches (offset).
  * debian/copyright: update formatting, point to
    /usr/share/common-licenses/GPL-1.
  * Set Standards-Version to 3.9.1 (no further changes).
  * Switch to debhelper 8.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Apr 2011 17:44:30 +0200

libnet-ssleay-perl (1.36-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * Remove Florian Ragwitz from Uploaders (closes: #523257).
  * Minimize debian/rules, adjust debhelper/quilt build dependencies.
  * Fix path in examples, thanks to Dario Minnucci for the bug report
    (closes: #543664).

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Franck Joncourt ]
  * New upstream release.
    + Added RIPEMD160 digest function (Closes: #551007).
    + Removed patch 30use-sockaddr_in.patch (applied upstream).
    + Removed patch 431113_report_on_broken_connection.patch (applied
      upstream) (Closes: #431113).
  * Added /me to Uploaders.
  * Switch to dpkg-source 3.0 (quilt) format:
    + Removed useless README.source.
    + Removed BDI on quilt.
    + Do not use --with-quilt anymore in d.rules.
  * Refreshed patch headers (DEP3).
  * Bumped up Standards-Version to 3.8.4 (no changes).
  * Updated BD:
    + Drop versionned BD on perl (oldstable has 5.8.8 packaged).
    + Drop versionned BD on libssl-dev (>> 0.9.7) since oldstable has 0.9.8c.
    + Added BD on libtest-kwalitee-perl to enable more tests.
  * Updated d.copyright to follow DEP5 guideline.

 -- Franck Joncourt <franck@debian.org>  Sun, 07 Mar 2010 21:19:31 +0100

libnet-ssleay-perl (1.35-2) unstable; urgency=low

  * add 30use-sockaddr_in.patch from PetrSalinger.
    Closes: #502518 -- FTBFS on GNU/kFreeBSD
  * remove unused lintian override about unbreakable URL in the manpage
  * add libtest-warn-perl and libtest-nowarnings-perl to B-D, enabling
    additional tests

 -- Damyan Ivanov <dmn@debian.org>  Sat, 18 Oct 2008 09:41:08 +0300

libnet-ssleay-perl (1.35-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: add information about files under inc/.
  * Add /me to Uploaders.
  * Add lintian override for a long line in a manpage, caused by a long URL.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Jul 2008 18:52:39 +0200

libnet-ssleay-perl (1.33.01-1) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group with maintainer's permission
    (http://lists.debian.org/debian-perl/2008/06/msg00039.html)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field
    (source stanza); Homepage field (source stanza). Changed: Maintainer set
    to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was:
    Florian Ragwitz <rafl@debian.org>); Florian Ragwitz <rafl@debian.org>
    moved to Uploaders.
  * Add debian/watch.
  * Switch patch system from dpatch to quilt.

  [ Damyan Ivanov ]
  * add uversionmangle to debian/watch to convert underscores in upstream
    version to dots
  * New upstream release
  * shorten debian/rules using debhelper 7
    + install more docs
  * add libtest-pod-perl and libtest-exception-perl to B-D allowing for tests
    to complete
  * refreshed 10fix_pod.patch, dropped 20egd_path.patch -- applied upstream
  * add 20no-stray-libz-link.patch; avoids unnecessary dependency on libz
  * Standards-Version: 3.8.0
    + add README.source
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Tue, 01 Jul 2008 12:43:14 +0300

libnet-ssleay-perl (1.30-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't try to remove /usr/share/perl5 if it doesn't exist. (Closes: #463545)

 -- Niko Tyni <ntyni@debian.org>  Tue, 01 Apr 2008 20:21:31 +0300

libnet-ssleay-perl (1.30-1) unstable; urgency=low

  * New upstream release.
    + Updated debian/copyright. Upstream changed.
  * Change Maintainer field to my new maintainer address.

 -- Florian Ragwitz <rafl@debian.org>  Fri, 20 Jan 2006 23:15:20 +0100

libnet-ssleay-perl (1.25-2) unstable; urgency=low

  * New Maintainer (Closes: #254671).
  * Rewrote debian/rules.
  * Updated debian/copyright.
  * Updated Standards-Version.
  * Moved previously applied patch to dpatch (20edg_path).
  * Added 10fix_pod to fix a warning from man.
  * Added build-dep to dpatch and adjusted debian/rules accordingly.

 -- Florian Ragwitz <rafl@debianforum.de>  Fri, 12 Aug 2005 22:53:30 +0200

libnet-ssleay-perl (1.25-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Applied patch by Javier <jfs@computer.org> to fix insecure
    entropy source [SSLeay.pm, CAN-2005-0106]

 -- Steve Kemp <skx@debian.org>  Fri, 18 Feb 2005 13:57:43 +0000

libnet-ssleay-perl (1.25-1) unstable; urgency=low

  * New upstream elease,
  Closes: #231574

 -- Stephen Zander <gibreel@debian.org>  Tue,  2 Mar 2004 00:23:33 -0800

libnet-ssleay-perl (1.22-1) unstable; urgency=low

  * New upstream release.
  * Add patch from Simon Horman <horms@vergenet.net>,that fixes two
    outstanding memory leaks in SSLeay.pm,
  Closes: #169732

 -- Stephen Zander <gibreel@debian.org>  Tue, 25 Feb 2003 00:17:37 -0800

libnet-ssleay-perl (1.20-3) unstable; urgency=low

  * Really add -ffunction-sections for HPPA build (Stupid non-standard
    $Config{archname} entries)

 -- Stephen Zander <gibreel@debian.org>  Tue,  5 Nov 2002 03:24:41 -0800

libnet-ssleay-perl (1.20-2) unstable; urgency=low

  * Add -ffunction-sections for HPPA build,
  Closes: #160538

 -- Stephen Zander <gibreel@debian.org>  Tue, 17 Sep 2002 21:32:31 -0700

libnet-ssleay-perl (1.20-1) unstable; urgency=low

  * New upstream release,
  Closes: #157629
  * Merge NMU into CVS repository,
  Closes: #158110

 -- Stephen Zander <gibreel@debian.org>  Tue,  3 Sep 2002 11:10:34 -0700

libnet-ssleay-perl (1.18-1.1) unstable; urgency=low

  * NMU
  * Build against perl 5.8.0.

 -- Brendan O'Dea <bod@debian.org>  Tue, 27 Aug 2002 20:25:10 +1000

libnet-ssleay-perl (1.18-1) unstable; urgency=low

  * New upstream release

 -- Stephen Zander <gibreel@debian.org>  Tue, 13 Aug 2002 15:17:57 -0700

libnet-ssleay-perl (1.17-1) unstable; urgency=low

  * Moved from non-us to main/interpreters
  * No longer rely on text messages for AUTOLOAD failures,
  Closes: #117286
  * New upstream release,
  Closes: #150599

 -- Stephen Zander <gibreel@debian.org>  Sun,  7 Jul 2002 12:01:04 -0700

libnet-ssleay-perl (1.08-1) unstable; urgency=medium

  * New maintainer.
  * New upstream source fixes ssl_read_until bug, Closes: #89220
  * Updated for policy 3.5.5 and the new perl packaging policy,
    Closes: #100522, #104342, #104751
  * Folded all NMU changes into CVS, Closes: #60713, #80665, #82074, #84633

 -- Stephen Zander <gibreel@debian.org>  Sat, 28 Jul 2001 22:04:00 -0700

libnet-ssleay-perl (1.05-3.2) unstable; urgency=low

  * NMU
  * Added build-depend on openssl. (Closes: #84633)
  * Removed dh_suidregister from debian/rules.

 -- Remi Lefebvre <remi@debian.org>  Sat, 17 Mar 2001 10:45:22 -0500

libnet-ssleay-perl (1.05-3.1) unstable; urgency=high

  * NMU by Jaldhar H. Vyas <jaldhar@debian.org>
  * updated to perl5.6 (closes: #80665)
  * built with libssl096 (closes: #82074)
  * fixes broken usage of MIME::Base64 in man page and example,
    adds suggest for libmime-base64-perl (closes: #60713)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Sat, 27 Jan 2001 16:57:22 -0500

libnet-ssleay-perl (1.05-3) unstable; urgency=low

  * FHS compliance
  * Standards: 3.0.1

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue,  7 Sep 1999 21:26:36 +0200

libnet-ssleay-perl (1.05-2) unstable; urgency=low

  * Abort make if openssl is not found (Closes: #42851)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 12 Aug 1999 15:01:17 +0200

libnet-ssleay-perl (1.05-1) unstable; urgency=low

  * Initial Release.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue,  3 Aug 1999 16:23:41 +0200


libnet-ssleay-perl (1.05-3) unstable; urgency=low

  * FHS compliance
  * Standards: 3.0.1

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue,  7 Sep 1999 21:26:36 +0200

libnet-ssleay-perl (1.05-2) unstable; urgency=low

  * Abort make if openssl is not found (Closes: #42851)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 12 Aug 1999 15:01:17 +0200

libnet-ssleay-perl (1.05-1) unstable; urgency=low

  * Initial Release.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue,  3 Aug 1999 16:23:41 +0200
